/**
 * @file 模态对话窗
 * @author yangxiaoxu
 */

import React, { Component } from 'react';
import './index.less';

export default class Masking extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            visible: this.props.visible || false
        };

    }

    componentDidMount() {
        if (this.state.visible) {
            document.body.addEventListener('mousewheel', this.bodyScroll, false);
            document.body.setAttribute('style', 'position:fixed;width:100%;height:100%;overflow: hidden;');
        }
    }

    componentWillReceiveProps(nextProps) {
        this.setState({
            visible: nextProps.visible
        });
    }


    componentDidUpdate(prevProps) {
        if (this.state.visible) {
            document.body.addEventListener('mousewheel', this.bodyScroll, false);
            document.body.setAttribute('style', 'position:fixed;width:100%;height:100%;overflow: hidden;');
        }
        else {
            document.body.removeEventListener('mousewheel', this.bodyScroll, false);
            if (this.props.page === 'index') {
                document.body.setAttribute('style', 'overflow: hidden;');
            }
            else {
                document.body.setAttribute('style', '"position":"initial";"height":"100%"');
            }
        }
    }

    componentWillUnmount() {
        document.body.removeEventListener('mousewheel', this.bodyScroll, false);
        if (this.props.page === 'index') {
            document.body.setAttribute('style', 'overflow: hidden;');
        }
        else {
            document.body.setAttribute('style', '"position":"initial";"height":"100%"');
        }
    }

    bodyScroll(event) {
        event.preventDefault();
    }

    handleCancel = e => {
        this.setState({
            visible: false
        });
    }


    render() {
        return (
            <p>
                <h1>React 小书</h1>
            </p>
        )
    }


    // render() {
    //     return this.state.visible ? (
    //         <p>sdfsdf</p>
    //         // <div className="masking">
    //         //     <div className="masking-inner">
    //         //         <span className="close-icon"><a href="javascript:void(0)" onClick={this.props.handleCancel}>x</a></span>
    //         //         {this.props.children}
    //         //     </div>
    //         // </div>
    //     ) : null;
    // }
}
