/**
 * @file 上传组件
 * @author yangxiaoxu
 */
import React, {Component} from 'react';
import './index.less';

import axios from 'axios';

export default class Gupload extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            visible: true,
            file: ''
        };
    }

    componentDidMount() {
    }

    // componentWillReceiveProps(nextProps) {
    //     this.setState({
    //         visible: nextProps.visible
    //     });
    // }

    selectFile = (e) => {
        let file = e.target.files[0];
        this.setState({
            file: file
        })
    }

    confirmUpload = () => {
        const formData = new FormData();
        formData.append('file', this.state.file);
        console.log(this.props.url);
        axios({
            method: 'post',
            url: this.props.url,
            data: formData,
            headers: {
                'Content-Type': 'multipart/form-data'
            }
        })
            .then(
                response => {
                    let url = response.data.url;
                    this.props.callback(url);
                }
            )
            .catch(
                err => {
                    console.log('上传失败！')
                }
            )
    }

    render() {
        return this.state.visible ? (
            <div className="g-upload">
                <input type="file" onChange={this.selectFile} /> <a onClick={this.confirmUpload}>确定上传</a>
            </div>
        ) : null;
    }
}
