/**
 * @file cookie操作
 * @author lihuazhai
 */

export default function getCookie(name) {
    let allCookie = document.cookie.split(';');
    let cookie;
    allCookie.map(item => {
        let cookies = item.split('=');
        if (cookies[0].trim() === name) {
            cookie = cookies[1];
        }
        return item;
    });
    return cookie;
}

export function setCookie(cname, cvalue, exdays) {
    let d = new Date();
    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
    let expires = 'expires=' + d.toUTCString();
    document.cookie = cname + '=' + cvalue + '; ' + expires;
}

export function removeCookie(name) {
    const value = getCookie(name);
    if (value) {
        const exp = new Date();
        exp.setTime(exp.getTime() - 10000);
        document.cookie = name + '=' + value + '; expires=' + exp.toUTCString() + '; path=/';
    }
}