/**
 * @file http请求封装,promise形式
 * @author lihuazhai
 * 
 * 注意get请求参数key用params，post请求key用data
 */

import axios from 'axios';

/**
 * http请求函数
 * @param {string} url - 请求接口 
 * @param {string} type - 请求接口 
 * @param {string} data - 请求参数 
 * @param {string} url - 请求接口 
 */
export default function httpRequest({ url, type = 'get', data } = {}) {
    const method = type.toLowerCase();
    let options = { method, url };
    options = method === 'get' ? { ...options, params: data } : { ...options, data }

    return new Promise(function (resolve, reject) {
        axios(options)
            .then(function (response) {
                resolve(response);
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                reject(error);
            })
            .then(function () {
                // always executed
            });
    })
}